Bug 449908 - keyboard shortcut alt-shift-< does not work
keyboard shortcut alt-shift-< does not work
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: metacity (Show other bugs)
19
All Linux
low Severity low
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-04 04:33 EDT by Petr Šplíchal
Modified: 2016-05-31 21:48 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 06:57:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
shortcuts screenshot (981.49 KB, image/png)
2009-01-19 09:18 EST, Petr Šplíchal
no flags Details

  None (edit)
Description Petr Šplíchal 2008-06-04 04:33:36 EDT
Description of problem:

After upgrade to fedora 9 I've encountered and odd problem: One of my keyboard
shortcuts (extremely used for switching between workspaces) stopped to work.
Namely: alt-shift-< 

Please, help! I'm desperate without it! :-)

Version-Release number of selected component (if applicable):
control-center-2.22.1-4.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. run gnome-keybinding-properties
2. set shortcut for "switch to workspace 3" to shift-alt-<
3. press shift-alt-<
  
Actual results:
nothing happens

Expected results:
switched to workspace 3

Additional info:
The strange thing is that alt-shift-> still works fine.
Comment 1 Bastien Nocera 2008-06-04 07:03:10 EDT
Which keymap are you using, and are the greater than and lesser than signs on
the same key?

They're on different keys on my keymap, and I don't think the shift should even
appear in the shortcut, as I need to press shift to get to the key in the first
place.
Comment 2 Bastien Nocera 2008-06-04 07:40:04 EDT
That shortcut doesn't work with the builtin media-keys.

There's a patch against gnome-settings-daemon for it here:
http://bugzilla.gnome.org/show_bug.cgi?id=536581

Which window manager are you using? It's the one that's supposed to handle
shortcuts of that kind.
Comment 3 Petr Šplíchal 2008-06-04 08:40:53 EDT
I'm using usa/czech but I've tested it also with basic usa layout.
My window manager is metacity.
Comment 4 Petr Šplíchal 2008-06-10 07:53:12 EDT
Any update on this? Can I just use the patch in comment #2?
Or does it depend on particular windows manager I am using?
Comment 5 Petr Šplíchal 2009-01-18 09:06:52 EST
Hi! I've re-checked my favourite shortcut alt-shift-< on Fedora 10 only to find out there's probably nothing new about this issue, it still does not work... :-( I'd be very glad if this could be fixed. Can you help?
Comment 6 Bastien Nocera 2009-01-19 05:43:16 EST
Works fine here. Does it get added to the configuration tool correctly? If so, it's a window manager bug. I just tested this on an F10 machine with Metacity, and it works fine. Are you sure you're using Metacity?
Comment 7 Petr Šplíchal 2009-01-19 09:18:54 EST
Created attachment 329345 [details]
shortcuts screenshot

Hmmm, that's weird. I tested on F10 with fresh account with default settings (metacity as windows manager). Keyboard settings seem to save into config file ok. The strange thing is that all the three other displayed shortcuts <Alt><Shift> with M, greater and '?' work just fine. The only <Alt>-<Shift>-less combination does not have any effect.
Comment 8 Owen Taylor 2009-11-17 18:40:51 EST
The problem here is that the keyboard map contains a description for a less-than/greater-than key (even if you dont' have it on the keyboard). 

Since the < is the level-0 key on that key, and the level-1 key on the comma key, XKeySymToKeyCode() returns the less-than/greater-than key.

So when Metacity asks "what key on the keycode should I bind this shortcut to" it's using a keycode that doesnt' match any key on the keyboard, and the shortcut doesn't work.
Comment 9 Bug Zapper 2009-11-18 07:32:32 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Petr Šplíchal 2009-12-17 03:11:47 EST
> Since the < is the level-0 key on that key, and the level-1 key on the comma
> key, XKeySymToKeyCode() returns the less-than/greater-than key.
> 
> So when Metacity asks "what key on the keycode should I bind this shortcut to"
> it's using a keycode that doesnt' match any key on the keyboard, and the
> shortcut doesn't work.  

Well, sorry, I'm not sure if I understand well all the details
you've mentioned but I expect the behavior you describe should be
the same for both ",<" and ".>" keys. But in fact, the shortcut
"Shift-Alt->" works just OK. It's only the "Shift-Alt-<" which is
broken.

I've checked this out today on my updated Fedora 12 and the issue
is still the same.
Comment 11 Owen Taylor 2009-12-17 08:31:17 EST
The difference isn't the position of the < on the , key versus the > on the . but rather than the difference  between the position of the two symbols on the "less than/greater than" key. You may not have a less-than/greater-than key on your actual keyboard, but with the way we handle keyboards it's still in the keyboard description and causes this problem.
Comment 12 Petr Šplíchal 2009-12-17 10:40:03 EST
Thank you for the explanatin. Could this be fixed somehow? Is
there a solution for this? Or a nice workaround at least? I
noticed that in some very specific constellation with another
keyboard (e.g. czech) set as default during the login the
shortcut works. But it's very unreliable and changing the shortcut
during the session completely breaks it again.
Comment 13 Owen Taylor 2009-12-17 12:03:53 EST
I discussed this some with Peter Hutterer (our resident X keyboard expert) earlier and we couldn't figure out any easy way of handling it. Basically, the fix is going to require a fairly large rewrite of the Metacity keybinding handling code: there's no easy way to know with evdev that the keyboard doesn't actually have a less-than/greater-than key so the Metacity keybinding code has to be rewritten to handle keyboards with symbols duplicated between multiple keys.

I may get to this in the Fedora 13 timescale, but it's unlikely to be fixed for Fedora 12.
Comment 14 Owen Taylor 2009-12-17 12:06:02 EST
I should add that the rewrite of the Metacity keybinding code is not at all straightforward - I looked at it some, and couldn't figure out a good way of doing it. There's a big mismatch between the modern XKB way of handling keyboard layouts and the way that "passive grabs" (global keybindings) work in X. It may actually require X server extensions to handle things properly.
Comment 15 Bug Zapper 2010-11-04 07:53:46 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Owen Taylor 2010-11-04 10:09:08 EDT
No changes have happened here
Comment 17 Fedora End Of Life 2013-04-03 16:11:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 18 Fedora End Of Life 2015-01-09 16:36:56 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 19 Fedora End Of Life 2015-02-18 06:57:20 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.